<?php 

/**
 *
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.gnu.org/licenses/gpl-3.0.txt
 */

 if ( ! function_exists( 'nomad_press_post_icon' ) ) {

	function nomad_press_post_icon() {

		$html = '';

		$icons = array (
			'video' => 'fa fa-play' , 
			'gallery' => 'fa fa-camera' , 
			'audio' => 'fa fa-volume-up' , 
			'chat' => 'fa fa-users', 
			'status' => 'fa fa-keyboard-o', 
			'image' => 'fa fa-picture-o' ,
			'quote' => 'fa fa-quote-left', 
			'link' => 'fa fa-external-link', 
			'aside' => 'fa fa-file-text-o', 
		);

		if ( get_post_format() ) { 
		
			$html .= '<span><i class="'.esc_attr($icons[get_post_format()]).'"></i><span>' . esc_html(ucfirst( strtolower( get_post_format() ))) . '</span></span>'; 
		
		} else {
		
			$html .= '<span><i class="fa fa-pencil-square-o"></i><span>' . esc_html__( 'Article','nomad-press') . '</span></span>'; 
		
		}
		
		return $html;
		
	}

}

?>
